Bug 1295511 - please add support for game-data-packager provided assets
please add support for game-data-packager provided assets
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rott (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 13:03 EST by Alexandre Detiste
Modified: 2016-01-16 05:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-16 05:37:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Detiste 2016-01-04 13:03:31 EST
game-data-packager will read GOG.com archives
or windows Steam installations and will create .rpm's
for local use that install needed game assets in
/usr/share/rott

it's easy to add optional support for G-D-P
in a non-intrusive way; if this tool it not used,
the ROTT launcher will default to the previous
behaviour (autodownloader or zenity prompt).


--- /usr/bin/rott-shareware     2015-06-19 00:38:45.000000000 +0200
+++ rott-shareware      2016-01-04 18:45:31.187000000 +0100
@@ -2,6 +2,12 @@
 
 set -e
 
+# game assets installed with game-data-packager
+if [ -f /usr/share/rott/REMOTE1.RTS ]; then
+  cd /usr/share/rott
+  exec /usr/bin/rott-shareware.bin "$@"
+fi
+
 mkdir -p $HOME/.rott
 cd $HOME/.rott
 
--- /usr/bin/rott-registered    2015-06-19 00:38:45.000000000 +0200
+++ rott-registered     2016-01-04 18:48:43.264000000 +0100
@@ -2,6 +2,11 @@
 
 set -e
 
+if [ -f /usr/share/rott/DARKWAR.WAD ]; then
+       cd /usr/share/rott
+       exec rott-registered.bin "$@"
+fi
+
 if [ ! -f ~/.rott/registered/*.WAD -a ! -f ~/.rott/registered/*.wad ]; then
        zenity --info --text='In order to play the registered version of Rise of the Triad (ROTT), An Apogee Game, the original registered ROTT datafiles are needed.
Comment 1 Hans de Goede 2016-01-16 05:37:44 EST
Thanks for the patch, I've added this to the pkg, added appdata / appstream files while at it, and started a new build for rawhide.

Note You need to log in before you can comment on or make changes to this bug.